Home

# Library goog.dom.pattern

Function Summary
| `matchStringOrRegex((RegExp|null|string) obj, string str) ⇒ boolean` Utility function to match a string against either a string or a regular expression.
| `matchStringOrRegexMap((RegExp|null|string) elem, string index, ?Object orig) ⇒ boolean` Utility function to match a DOM attribute against either a string or a regular expression. Conforms to the interface spec for {@link goog.object#every}.